~/bend-docscommunity

src/auth.bend checks

raw source on the hub · import emerging-ezhttp@0.8.0.0/src/auth.bend as Auth

ezhttp/src/auth: Authorization header values, pure. Kept apart from client.bend (which reaches the wire effect) so the proof gate can import it.

3 imports
import Base
import ./http.bend as Http
import ./b64.bend as B64

Definitions

def auth.bearer source · line 8 · raw

@token:String -> 0xf1c957a470368870a6d1d62a8c0cbe32/src/http.Header

Authorization: Bearer … (RFC 6750)

def auth.basic source · line 12 · raw

@user:String -> @password:String -> 0xf1c957a470368870a6d1d62a8c0cbe32/src/http.Header

Authorization: Basic … (RFC 7617, credentials are RFC 4648 Base64)